Subject: Re: Stack fault in SETUP.EXE
From: "David A. Cobb" <[email-masked]>
To: Cygwin Library General Discussion <[email-masked]>
Date: Thu, 29 Nov 2001 23:24:16 -0500

I'm happy to report that SETUP 2.125.2.10 solves this problem.

David A. Cobb wrote:

> Running SETUP 2.125.2.5
> 
> Suddenly [since yesterday] I get a Stack Fault immediately after 
> downloading SETUP.INI.  The SETUP.INI file is downloaded and looks 
> normal - whatever that means.  I'm hypothesizing a buffer overflow in 
> parsing some of the long commentary in the INI file; but I can't see 
> anything obvious like a missing quote.
> 
> The fault registers are -
> Stack Fault at 0167:0042d76f in SETUP.EXE
> EAX=008a7c20 cs=0167 EIP=0042d76f EFlags=00010217
> EBX=0079ad90 ss=016f ESP=00582000 EBP=00580210
> (I didn't write down the rest but it's 100% repeatable)
> 
> Attached is a Watson, if that helps.
> 
> I'd be glad to help locate it if someone can lend me a clue how.

-- 
David A. Cobb, Software Engineer, Public Access Advocate, All around 
nice guy.
New PGP key 09/13/2001:
:<http://pgpkeys.mit.edu:11371/pks/lookup?op=get&search=superbiskit&\
fingerprint=on>
:<http://wwwkeys.pgp.net:11371/pks/lookup?op=get&search=superbiskit&\
fingerprint=on>
Fingerprint=0x{E7C6_4EE2_6B75_5BA3_C52E__77FA_63C3_9366_DCFB_229B}
"By God's Grace I am a Christian man, by my actions a great sinner."
--The Way of a Pilgrim, R. M. French [tr.]
Potentially Viral Software is any software for which you are not allowed
to examine the source.  Do not buy or use Potentially Viral Software!

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/